Bug 106376 - Eliminate advanced options dialog
Eliminate advanced options dialog
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Pavel Buzek
issues@ide
http://ui.netbeans.org/docs/ui/Option...
: PLAN, UI, UMBRELLA
Depends on: 90522 105588 105589 105594 105596 105598 105602 106444 133773 138241
Blocks: 100931
  Show dependency treegraph
 
Reported: 2007-06-12 10:48 UTC by jrojcek
Modified: 2008-07-29 15:13 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2007-06-12 10:48:49 UTC
Move all relevant options from the advanced options dialog into the standard options dialog. Then remove 
the advanced dialog. See the spec in the URL field.
Comment 1 Pavel Buzek 2007-06-12 23:35:13 UTC
combine Ruby options into 1 panel:

/cvs/scripting/ruby/debugger/src/org/netbeans/modules/ruby/debugger/RubyDebuggerPanel.form,v  <--  RubyDebuggerPanel.form
new revision: 1.7; previous revision: 1.6
/cvs/scripting/ruby/debugger/src/org/netbeans/modules/ruby/debugger/RubyDebuggerPanel.java,v  <--  RubyDebuggerPanel.java
new revision: 1.9; previous revision: 1.8
/cvs/scripting/ruby/debugger/src/org/netbeans/modules/ruby/debugger/resource/layer.xml,v  <--  layer.xml
new revision: 1.5; previous revision: 1.4
/cvs/scripting/ruby/projects/src/org/netbeans/modules/ruby/rubyproject/Bundle.properties,v  <--  Bundle.properties
new revision: 1.9; previous revision: 1.8
RCS file: /cvs/scripting/ruby/projects/src/org/netbeans/modules/ruby/rubyproject/RubyHomeOptionsAdvancedPanel.java,v
done
/cvs/scripting/ruby/projects/src/org/netbeans/modules/ruby/rubyproject/RubyHomeOptionsAdvancedPanel.java,v  <-- 
RubyHomeOptionsAdvancedPanel.java
initial revision: 1.1
/cvs/scripting/ruby/projects/src/org/netbeans/modules/ruby/rubyproject/RubyHomeOptionsPanel.form,v  <-- 
RubyHomeOptionsPanel.form
new revision: 1.3; previous revision: 1.2
/cvs/scripting/ruby/projects/src/org/netbeans/modules/ruby/rubyproject/RubyHomeOptionsPanel.java,v  <-- 
RubyHomeOptionsPanel.java
new revision: 1.4; previous revision: 1.3
/cvs/scripting/ruby/projects/src/org/netbeans/modules/ruby/rubyproject/RubyOptionsAdvancedPanel.java,v  <-- 
RubyOptionsAdvancedPanel.java
new revision: 1.4; previous revision: 1.3
/cvs/scripting/ruby/projects/src/org/netbeans/modules/ruby/rubyproject/ui/resources/layer.xml,v  <--  layer.xml
new revision: 1.12; previous revision: 1.11
Comment 2 Pavel Buzek 2007-06-14 23:24:56 UTC
Removed DB option and PFD option from advanced options UI (sorry forgot to mention issue # in commit)
/cvs/db/src/org/netbeans/modules/db/resources/mf-layer.xml,v  <--  mf-layer.xml
new revision: 1.14; previous revision: 1.13

/cvs/utilities/src/org/netbeans/modules/utilities/Layer.xml,v  <--  Layer.xml
new revision: 1.93; previous revision: 1.92

XML:
Checking in src/org/netbeans/modules/xml/core/XMLDataObject.java;
/cvs/xml/core/src/org/netbeans/modules/xml/core/XMLDataObject.java,v  <--  XMLDataObject.java
new revision: 1.37; previous revision: 1.36
done
Checking in src/org/netbeans/modules/xml/core/resources/mf-layer.xml;
/cvs/xml/core/src/org/netbeans/modules/xml/core/resources/mf-layer.xml,v  <--  mf-layer.xml
new revision: 1.59; previous revision: 1.58
done
Removing src/org/netbeans/modules/xml/core/settings/Bundle.properties;
/cvs/xml/core/src/org/netbeans/modules/xml/core/settings/Bundle.properties,v  <--  Bundle.properties
new revision: delete; previous revision: 1.12
done
Removing src/org/netbeans/modules/xml/core/settings/CoreSettings.java;
/cvs/xml/core/src/org/netbeans/modules/xml/core/settings/CoreSettings.java,v  <--  CoreSettings.java
new revision: delete; previous revision: 1.16
done
Removing src/org/netbeans/modules/xml/core/settings/CoreSettingsBeanInfo.java;
/cvs/xml/core/src/org/netbeans/modules/xml/core/settings/CoreSettingsBeanInfo.java,v  <--  CoreSettingsBeanInfo.java
new revision: delete; previous revision: 1.7
done
Removing src/org/netbeans/modules/xml/core/settings/DefaultActionPropertyEditor.java;
/cvs/xml/core/src/org/netbeans/modules/xml/core/settings/DefaultActionPropertyEditor.java,v  <-- 
DefaultActionPropertyEditor.java

new revision: delete; previous revision: 1.3
done
Removing src/org/netbeans/modules/xml/core/settings/Util.java;
/cvs/xml/core/src/org/netbeans/modules/xml/core/settings/Util.java,v  <--  Util.java
new revision: delete; previous revision: 1.5
done
Checking in src/org/netbeans/modules/xml/core/text/TextEditorSupport.java;
/cvs/xml/core/src/org/netbeans/modules/xml/core/text/TextEditorSupport.java,v  <--  TextEditorSupport.java
new revision: 1.32; previous revision: 1.31
done
Comment 3 Antonin Nebuzelsky 2008-06-26 12:33:06 UTC
Can be closed as soon as issue #90522 is closed fixed in 6.5 M2.
Comment 4 Antonin Nebuzelsky 2008-07-29 15:13:14 UTC
Closing fixed. See also issue 90522.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo